Subject: Re: SU
From: [email-masked] (Darren Evans)

23 Jun 1998 11:28:19 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

>Seems I'm having trouble getting su to work. It will ask me for a password,
>but no matter what I type, even if it's the correct one, it won't validate.
>Any suggestions?
>I've already used mkpasswd and mkroup , and the passwd and group files exist
>in /etc
>
>Also, what variable needs to be set to get who to work properly. I know it
>must have something to do with tty, but can't seem to figure it out.

Turn stracing on to see what's really happening, and re-direct it to a file.

export STRACE=1

I suspect its some kind of crypt() problem.

--------------------------------------------------
 Darren Evans
 Systems Engineer/Systems Operation Group
 Online Magic Ltd FAX                0171 573 5961
 DSS/DH Key ID 0x23BEBE28        FAX 0171 573 5959
 05AE D632 E729 57B3 EBE6 6E41 D527 B739 23BE BE28
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".